package com.qmth.teachcloud.common.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

/**
 * @Date: 2021/3/31.
 */
public class BlurryUserDto {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    private String loginName;
    private String name;

    public BlurryUserDto() {

    }

    public BlurryUserDto(Long id, String name) {
        this.id = id;
        this.name = name;
    }

    public BlurryUserDto(Long id, String loginName, String name) {
        this.id = id;
        this.loginName = loginName;
        this.name = name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
